Bug 1468018 - Neutron Worker Process count is set to Processor Count
Neutron Worker Process count is set to Processor Count
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
high Severity high
: ---
: 11.0 (Ocata)
Assigned To: Brent Eagles
Toni Freger
scale_lab, aos-scalability-36
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 15:10 EDT by Sai Sindhur Malleni
Modified: 2017-07-14 15:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 481587 None None None 2017-07-07 12:10 EDT

  None (edit)
Description Sai Sindhur Malleni 2017-07-05 15:10:41 EDT
Description of problem:
Starting Ocata upstream moved to more sane defaults (https://github.com/openstack/puppet-openstacklib/blob/master/lib/facter/os_workers.rb) as deploying with  $::processorcount leads to unexpected memory growth/database problems due to each worker opening connections to the database. On a 56 core machine, we should be seeing 12 workers as the default is to use min(processorcount/2, 12). When deploying using default we see api_workers and rpc_workers set empty string and 112 workers processes are seen for neutron server (56 for api and 56 for rpc). However, starting OSP11 we should only see 24 workers in this case (12 for api and 12 for rpc).



Version-Release number of selected component (if applicable):
11


How reproducible: 100%


Steps to Reproduce:
1. Deploy overcloud with defauls
2.
3.

Actual results:
56 worker processes each for neutron api and neutron rpc are seen

Expected results:

12 workers processes each for neutron api and neutron rpc should be seen.

Additional info:
Comment 1 Alex Schultz 2017-07-06 15:55:01 EDT
Might need a backport of https://review.openstack.org/#/c/425423/ which updated the logic to fall back to the os_workers provided by puppet modules if THT is unset
Comment 2 Assaf Muller 2017-07-07 12:10:45 EDT
Backport in progress.
Comment 3 Red Hat Bugzilla Rules Engine 2017-07-07 12:10:49 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Note You need to log in before you can comment on or make changes to this bug.